## NAME

r.carve - Takes vector stream data, transforms it to raster, and subtracts depth from the output DEM

## KEYWORDS

raster

## SYNOPSIS

r.carve
r.carve help
r.carve [-qn] rast=name vect=name output=name [points=name] [width=float] [depth=float] [--overwrite]

### Flags:

-q
  Quiet - Do not show progress
-n
  No flat areas allowed in flow direction
--overwrite
  Force overwrite of output files

### Parameters:

rast=name
  Name of input raster elevation map
vect=name
  Name of vector input map containing stream(s)
output=name
  Name for output raster map
points=name
  Name of output vector map for adjusted stream points
width=float
  Stream width (in meters). Default is raster cell width
depth=float
  Additional stream depth (in meters)

## DESCRIPTION

r.carve takes vector stream data, transforms it to raster, and subtracts depth from the output DEM.

The program will take the vector stream data, transform them to raster, and subtracts a defaultdepth+additionaldepth from the DEM. If the given width is more than 1 cell it will carve the stream with the given width. With -n option it should eliminate all flat cells within the stream, so when and if the water gets into the stream it will flow. Site option generates x,y,z for points which define the stream with the z value of the bottom of the carved-in stream. These sites can then be combined with contour sites to interpolate a new DEM with better representation of valleys.

## NOTES

r.carve does not create a depressionless DEM because many depressions are in flat areas and not in the streams.

## EXAMPLE

    g.region rast=elevation.10m -p
    r.carve rast=elevation.10m vect=streams out=carve_dem width=20 depth=5

## BUGS AND CAVEAT

The module does not operate yet in latitude-longitude locations. It has not been thoroughly tested so not all option may work properly - but this was the intention.

## SEE ALSO

r.flow, r.fill.dir, r.watershed

## REFERENCES

Terrain modeling and Soil Erosion Simulations for Fort Hood and Fort Polk test areas, by Helena Mitasova, Lubos Mitas, William M. Brown, Douglas M. Johnston, GMSL (Report for CERL 1999)

## AUTHOR

Bill Brown (GMSL)

Last changed: $Date: 2006/06/01 10:19:42 $

Main index - raster index - Full index